﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using ESRI.ArcGIS.Client;

namespace esridemo
{
    public partial class AnalysisReport : PhoneApplicationPage
    {
        private GraphicCollection _Stores = new GraphicCollection();
        private Graphic _AnalysisStore;
        private double _StorePopulation;
        private double _TotalPopulation = 4376609;

        public AnalysisReport()
        {
            InitializeComponent();            
        }


        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            string pop = string.Empty;
            if (NavigationContext.QueryString.TryGetValue("population", out pop))
                _StorePopulation = double.Parse(pop);


            _Stores = (Application.Current as App).AppParameters["AllStores"] as GraphicCollection;
            _AnalysisStore = (Application.Current as App).AppParameters["AnalysisGraphic"] as Graphic;

            //calculate total sales of all stores in 30 days
            double salestotal30 = 0;
            foreach (Graphic g in _Stores)
            {
                for (int i = 1; i <= 30; i++)//11.01--11.30
                {
                    string strDay = string.Empty;
                    if (i < 10)
                        strDay = "D110" + i.ToString();
                    else
                        strDay = "D11" + i.ToString();

                    salestotal30 += (double)g.Attributes[strDay];
                }
            }

            //fill textblocks
            tbTotalPopulation.Text = _TotalPopulation.ToString("###,###");
            tbTotalSales.Text = salestotal30.ToString("###,###.0");
            tbConsumptionPower.Text = (salestotal30 / _TotalPopulation / 30).ToString("0.00") + "/天";
            tbStoreName.Text = _AnalysisStore.Attributes["Name"].ToString();
            tbStorePopulation.Text = Math.Round(_StorePopulation).ToString("###,###");
            tbSalesPredictWeek.Text = ((salestotal30 / _TotalPopulation / 30) * _StorePopulation * 7).ToString("###,###.0");
            double sales7day = 0;
            for (int i = 24; i <= 30; i++)
            {
                string strDay = string.Empty;
                if (i < 10)
                    strDay = "D110" + i.ToString();
                else
                    strDay = "D11" + i.ToString();

                sales7day += (double)_AnalysisStore.Attributes[strDay];
            }
            tbSales7Days.Text = sales7day.ToString("###,###.0");
            tbConclusion.Text = (double.Parse(tbSalesPredictWeek.Text) - double.Parse(tbSales7Days.Text)) > 500000 ?
                "营业状况异常!\n预期周收益减少了" + (double.Parse(tbSalesPredictWeek.Text) - double.Parse(tbSales7Days.Text)).ToString("###,###.0") +
                "\n可能是该店服务区内新增竞争对手或竞争对手进行促销活动\n建议做出营业策略调整": 
                "营业状况正常";
            tbCaptain.Text = _AnalysisStore.Attributes["Captain"].ToString();
            tbTel.Text = _AnalysisStore.Attributes["Tel"].ToString();

            image.Source = (App.Current as App).AppParameters["MapImage"] as System.Windows.Media.Imaging.WriteableBitmap;
        }
    }
}