﻿using System.Windows.Controls;
using System.Windows;
using ESRI.ArcGIS.Client;
using Microsoft.Phone.Controls;
using System;
using System.Windows.Navigation;

namespace esridemo.Tools
{
    public partial class InfoWindow : UserControl
    {
        private ESRI.ArcGIS.Client.ElementLayer _eLayer;
        private ESRI.ArcGIS.Client.Graphic _graphic;

        public ESRI.ArcGIS.Client.Graphic Graphic
        {
            get { return _graphic; }
            set { _graphic = value; }
        }
        public ESRI.ArcGIS.Client.ElementLayer ELayer
        {
            get { return _eLayer; }
            set { _eLayer = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="eLayer">the ElementLayer hosts the infowindow</param>
        /// <param name="g">the clicked graphic which populates attributes</param>
        public InfoWindow(ESRI.ArcGIS.Client.ElementLayer eLayer,Graphic g)
        {
            InitializeComponent();
            ELayer = eLayer;
            Graphic = g;

            tbName.Text = g.Attributes["Name"] as string;
        }

        private void btn_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            Graphic.UnSelect();
            ELayer.Children.Remove(this);            
        }

        private void Canvas_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            //add clicked graphic to app level, so attributes.xaml could access it
            App app = Application.Current as App;
            if (app.AppParameters.ContainsKey("IdentifyGraphic"))
                app.AppParameters["IdentifyGraphic"] = Graphic;
            else
                app.AppParameters.Add("IdentifyGraphic", Graphic);
            (app.AppParameters["MainPage"] as PhoneApplicationPage).NavigationService.Navigate(new Uri("/Tools/Attributes.xaml", UriKind.Relative));
        }
    }
}
