﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using ESRI.ArcGIS.Client;
using Visifire.Charts;

namespace esridemo.Tools
{
    public partial class SpatialQueryChart : PhoneApplicationPage
    {
        private List<Graphic> _Graphics=new List<Graphic>();//the result graphics of spatail query
        private double _total, _sum;
        public SpatialQueryChart()
        {
            InitializeComponent();
            this.OrientationChanged += PhoneApplicationPage_OrientationChanged;

            _Graphics = (Application.Current as App).AppParameters["QueryedGraphics"] as List<Graphic>;
            //populate the column chart
            Chart1.Series[0].DataPoints.Clear();
            if (_Graphics.Count <= 3)
                Chart1.Width = 420;
            else if (_Graphics.Count > 3 && _Graphics.Count < 6)
                Chart1.Width = 600;
            else
                Chart1.Width = 600 + (_Graphics.Count - 6) * 80;
            int iDayStart = 23;
            int iDayEnd = 30;
            foreach (Graphic g in _Graphics)
            {
                double sum7 = 0;
                for (int i = iDayStart; i <= iDayEnd; i++)//11.23--11.30
                {
                    string strDay = string.Empty;
                    if (i < 10)
                        strDay = "0" + i.ToString();
                    else
                        strDay = i.ToString();

                    sum7 += Double.Parse(g.Attributes["D11" + strDay].ToString());
                }
                DataPoint dp = new DataPoint()
                {
                    AxisXLabel=g.Attributes["Name"] as string,
                    YValue=sum7
                };
                Chart1.Series[0].DataPoints.Add(dp);
            }
        }

        private void PhoneApplicationPage_OrientationChanged(object sender, OrientationChangedEventArgs e)
        {
            // Switch the placement of the buttons based on an orientation change.

            if ((e.Orientation & PageOrientation.Portrait) == (PageOrientation.Portrait))
            {
                scrollViewer.Width = 420;
            }

            // If not in the portrait mode, move buttonList content to visible row and column.

            else
            {
                scrollViewer.Width = 650;
            }

        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            string total = string.Empty;
            string sum = string.Empty;
            if (NavigationContext.QueryString.TryGetValue("total", out total))
                _total = double.Parse(total);
            if (NavigationContext.QueryString.TryGetValue("sum", out sum))
                _sum = double.Parse(sum);

            //populate the pie chart
            Chart2.Series[0].DataPoints[0].YValue = _sum;
            Chart2.Series[0].DataPoints[1].YValue = _total - _sum;

            tbPercent.Text = string.Format("所选店面近一周营业额之和占总营业额 {0}%", ((_sum / _total) * 100).ToString("0.00"));
        }



    }
}